
//////////////////////////////////////////////////////////////
//
// Header file for OptionsWindowMainWindow
//
//    This class is a ViewKit VkSimpleWindow subclass
//
// Normally, very little in this file should need to be changed.
// Create/add/modify menus using the builder.
//
// Restrict changes to those sections between
// the "//--- Start/End editable code block" markers
// Doing so will allow you to make chnages using the builder
// without losing any changes you may have made manually
//
//////////////////////////////////////////////////////////////
#ifndef OPTIONSWINDOWMAINWINDOW_H
#define OPTIONSWINDOWMAINWINDOW_H
#include <Vk/VkSimpleWindow.h>

//---- Start editable code block: headers and declarations


//---- End editable code block: headers and declarations


//---- OptionsWindowMainWindow class declaration

class OptionsWindowMainWindow: public VkSimpleWindow { 

  public:

    OptionsWindowMainWindow( const char * name, 
                             ArgList args = NULL,
                             Cardinal argCount = 0 );
    ~OptionsWindowMainWindow();
    const char *className();
    virtual Boolean okToQuit();

    //---- Start editable code block: OptionsWindowMainWindow public


    //---- End editable code block: OptionsWindowMainWindow public


  protected:



    // Classes created by this class

    class OptionsForm *_optionsForm;


    //---- Start editable code block: OptionsWindowMainWindow protected


    //---- End editable code block: OptionsWindowMainWindow protected


  private:


    static String      _defaultOptionsWindowMainWindowResources[];

    //---- Start editable code block: OptionsWindowMainWindow private


    //---- End editable code block: OptionsWindowMainWindow private


};
#endif
